com.independentsoft.exchange

## Class ServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.independentsoft.exchange.ServiceException

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceException
      extends java.lang.Exception

  The Class ServiceException.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceException(java.lang.String message)` Instantiates a new service exception.
    `ServiceException(java.lang.String message, java.lang.Throwable cause, java.lang.String requestBody)` Instantiates a new service exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFaultCode()` Gets the fault code.
    `java.lang.String` | `getFaultString()` Gets the fault string.
    `int` | `getLine()` Gets the line.
    `java.lang.String` | `getMessage()`
    `int` | `getPosition()` Gets the position.
    `java.lang.String` | `getRequestBody()` Gets the request body.
    `java.lang.String` | `getResponseCode()` Gets the response code.
    `ServerVersionInfo` | `getServerVersionInfo()` Gets the server version info.
    `java.lang.String` | `getXmlMessage()` Gets the xml message.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceException

          public ServiceException(java.lang.String message)

      Instantiates a new service exception.
      Parameters:
        `message` - the message

    - #### ServiceException

          public ServiceException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  java.lang.String requestBody)

      Instantiates a new service exception.
      Parameters:
        `message` - the message
        `cause` - the cause
        `requestBody` - the request body

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### getFaultCode

          public java.lang.String getFaultCode()

      Gets the fault code.
      Returns:
        the fault code

    - #### getFaultString

          public java.lang.String getFaultString()

      Gets the fault string.
      Returns:
        the fault string

    - #### getResponseCode

          public java.lang.String getResponseCode()

      Gets the response code.
      Returns:
        the response code

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getXmlMessage

          public java.lang.String getXmlMessage()

      Gets the xml message.
      Returns:
        the xml message

    - #### getLine

          public int getLine()

      Gets the line.
      Returns:
        the line

    - #### getPosition

          public int getPosition()

      Gets the position.
      Returns:
        the position

    - #### getRequestBody

          public java.lang.String getRequestBody()

      Gets the request body.
      Returns:
        the request body

    - #### getServerVersionInfo

          public ServerVersionInfo getServerVersionInfo()

      Gets the server version info.
      Returns:
        the server version info